GCLOUD_COMPUTE_XPN_ASSOCIATED-PROJECTS_ADD(1)

NAME

gcloud compute xpn associated-projects add - associate the given project with a given host project via XPN

SYNOPSIS

gcloud compute xpn associated-projects add PROJECT_ID --host-project=HOST_PROJECT [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Associate the given project with a given host project via XPN.

POSITIONAL ARGUMENTS

    PROJECT_ID
        ID for the project to add to the host project

REQUIRED FLAGS

    --host-project=HOST_PROJECT
        The XPN host to add an associated project to

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
To enable the project xpn-user to use the project xpn-host via XPN, run:
    $ gcloud compute xpn associated-projects add \
        --host-project=xpn-host xpn-user